### Global cloud-init template (for all VMs)

data "template_file" "cloud_init_global" {
  template = file("${path.module}/files/cloud_init_global.yaml")

  vars = {
    hostname       = "generic"
    domain         = "home.arpa"
    TS_AUTHKEY     = var.TS_AUTHKEY
    SSH_KEY_PUBLIC = var.SSH_KEY_PUBLIC
  }
}

resource "local_file" "cloud_init_global" {
  content  = data.template_file.cloud_init_global.rendered
  filename = "${path.module}/files/cloud_init_global.yaml"
}
